<div class="container py-3 mx-auto">
  <div class="d-flex justify-content-between align-items-center">
    <input
      type="text"
      class="form-control search-input"
      placeholder="Search.."
      [formControl]="search"
      (keyup)="handleSearch()"
    />
    <button type="button" class="btn btn-success" (click)="showModalDialog()">
      เพิ่มข้อมูล
    </button>
  </div>
  <table class="table mt-4 table-striped">
    <thead>
      <tr class="text-center">
        <th scope="col">#</th>
        <th scope="col">ชื่อ-นามสกุล</th>
        <th scope="col">เพศ</th>
        <th scope="col">วัน/เดือน/ปีเกิด</th>
        <th scope="col">สถานะ</th>
        <th scope="col">จัดการ</th>
      </tr>
    </thead>
    <tbody>
      <tr class="text-center" *ngFor="let user of users; let i = index">
        <th scope="row">{{ i + 1 }}</th>
        <td>{{ user.fullname }}</td>
        <td>{{ user.gender }}</td>
        <td>{{ user.birthday | date: "dd/MM/YYYY" }}</td>
        <td>{{ user.marital_status }}</td>
        <td>
          <div class="gap-3 d-flex align-items-center justify-content-center">
            <p
              class="text-success"
              style="cursor: pointer"
              (click)="onEdit(user.id)"
            >
              แก้ไข
            </p>
            /
            <p
              class="text-danger"
              (click)="onDelete(user.id)"
              style="cursor: pointer"
            >
              ลบ
            </p>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
</div>
